<?php

require_once GEN_ROOT . '/includes/libs/template/template.class.php';

class tpl extends template {

 function tpl() {
 
		$this->template();

		$this->template_dir = GEN_ROOT . '/template/';
		$this->compile_dir	= GEN_ROOT . '/data/templates/';
		$this->config_dir	= GEN_ROOT . '/data/configs/';
		$this->cache_dir	= GEN_ROOT . '/data/cache/'; 
		
		$this->caching = false;
 }
}

class SmartyTpl implements Itpl{

    public $objtpl;

    public function __construct() {

        $this->objtpl = new Smarty();

        $this->objtpl->caching = false;
    }

    public function set_template_dir($in_dir) {
        $this->objtpl->template_dir = $in_dir;
    }

    public function set_compile_dir($in_dir) {
        $this->objtpl->compile_dir = $in_dir;
    }

    public function set_config_dir($in_dir) {
        $this->objtpl->config_dir = $in_dir;
    }

    public function set_left_delimiter($left) {
        $this->objtpl->left_delimiter = $left;
    }

    public function set_right_delimiter($right) {
        $this->objtpl->right_delimiter = $right;
    }

    public function get_obj_tpl() {
        return $this->objtpl;
    }

}
?>
